Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 421503 - =dev-java/groovy-2.4.5: version bump
Summary: =dev-java/groovy-2.4.5: version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Java (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Ivan Baidakou (dmol)
URL:
Whiteboard:
Keywords: EBUILD
Depends on: CVE-2015-3253
Blocks: 547914
  Show dependency tree
 
Reported: 2012-06-16 23:14 UTC by Manuel Rüger
Modified: 2015-11-02 09:31 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
groovy-1.8.5-1.8.8.ebuild.patch (groovy-1.8.5-1.8.8.ebuild.patch,708 bytes, patch)
2012-09-26 13:23 UTC, Ivan Baidakou (dmol)
Details | Diff
groovy-1.8.8.ebuild (groovy-1.8.8.ebuild,3.84 KB, text/plain)
2012-09-29 11:32 UTC, Ivan Baidakou (dmol)
Details
files/groovy-1.8-build-pref-locking-fix.patch (groovy-1.8-build-pref-locking-fix.patch,1.02 KB, patch)
2012-09-29 11:33 UTC, Ivan Baidakou (dmol)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Rüger gentoo-dev 2012-06-16 23:14:02 UTC
1.8.6 was released on Feb 09, 2012
http://jira.codehaus.org/secure/ReleaseNote.jspa?projectId=10242&version=18245

I don't know if you want to add release candidates, but here is some information about groovy 2.0_rc3:

"Groovy 2.0 will be the next major version of Groovy, after the Groovy 1.8.

We initially started with a 1.9.x numbering scheme, but the scope of features of that version warranted us bumping the version to 2.0, hence why you're going to see mentions of betas for a 1.9 version."

"Feature set

Release mainly geared towards the alignments with the upcoming but delayed JDK 7.

    work related to JDK 7
        notes on JDK 7 and JDK 8 future
        usage of invokedynamic and annonymous classloader (JDK7 features)
        updates for JDK 7 language features (aka Project Coin)
    modularity of Groovy (splitting Groovy in smaller JARs on a per feature basis)
    static type checking AST transform
    static compilation AST transform"
Comment 1 Manuel Rüger gentoo-dev 2012-06-29 11:43:25 UTC
2.0 was officially released: http://www.infoq.com/articles/new-groovy-20
Comment 4 Ivan Baidakou (dmol) 2012-09-26 13:23:09 UTC
Created attachment 325026 [details, diff]
groovy-1.8.5-1.8.8.ebuild.patch

Here is the patch with trivial changes. 

I have tried to rewrite the ebuild using more modern ant classpath rewriting, but I got the error on groovy doc generation.

[groovydoc] Can't find/access AST Node typeorg.codehaus.groovy.antlr.GroovySourceAST
[groovydoc] java.lang.ClassCastException: antlr.CommonAST cannot be cast to org.codehaus.groovy.antlr.GroovySourceAST

Does anybody knows how to manage (or debug) it?
Comment 5 Ivan Baidakou (dmol) 2012-09-29 11:32:00 UTC
Created attachment 325298 [details]
groovy-1.8.8.ebuild

cleaned up ebuild (thank for sera for help). 

The tests currently don't pass. The problem, seems in instantiating org.objectweb.asm.ClassWriter: the asm-3 package is the dependency of the groovy, while asm-1.5 is dependency of jmock-1.0
Comment 6 Ivan Baidakou (dmol) 2012-09-29 11:33:02 UTC
Created attachment 325300 [details, diff]
files/groovy-1.8-build-pref-locking-fix.patch

required patch for groovy-1.8.8.ebuild
Comment 7 Manuel Rüger gentoo-dev 2012-10-14 22:34:32 UTC
http://jira.codehaus.org/secure/ReleaseNote.jspa?projectId=10242&version=18820

groovy-2.0.5 released
Comment 8 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-07-16 14:51:21 UTC
Appears to use the Gradle build system (http://www.gradle.org/) now.
Comment 9 W. Grunewald 2015-04-11 21:15:13 UTC
Groovy 2.4 is an important release since there's support for Android development now: http://docs.codehaus.org/display/GROOVY/Groovy+2.4+release+notes
Comment 10 Ian Delaney (RETIRED) gentoo-dev 2015-04-12 10:58:26 UTC
I note the last patches submitted for this were September 2012. This package simply doesn't have an active maintainer.
Comment 11 Patrice Clement gentoo-dev 2015-08-25 19:52:05 UTC
This will, hopefully, be addressed in bug 555470.
Comment 12 Anton Bolshakov 2015-08-28 01:31:59 UTC
I suggest to add bug #339574 as a blocker.

Groovy 2.x switched from Ant to Gradle
Comment 13 Ian Delaney (RETIRED) gentoo-dev 2015-09-05 09:18:18 UTC
I suggest this is a candidate for dropping proxy-maint since the maintainer isn't one. Patrice perhaps?
Comment 14 Patrice Clement gentoo-dev 2015-11-01 21:36:27 UTC
commit 52d0cdf (HEAD, master)
Author: Patrice Clement <monsieurp@gentoo.org>
Date:   Sun Nov 1 21:32:31 2015 +0000

    dev-java/groovy: Version bump. Fixes security bug 555470.
    
    Package-Manager: portage-2.2.20.1
    Signed-off-by: Patrice Clement <monsieurp@gentoo.org>

 create mode 100644 dev-java/groovy/files/groovy-2.4.5-utils.gradle.patch
 create mode 100644 dev-java/groovy/groovy-2.4.5.ebuild